Package commoble.morered.wires

# Class WireCountLootFunction

java.lang.Object
commoble.morered.wires.WireCountLootFunction

All Implemented Interfaces:
  `BiFunction<net.minecraft.world.item.ItemStack,net.minecraft.world.level.storage.loot.LootContext,net.minecraft.world.item.ItemStack>`, `net.minecraft.world.level.storage.loot.functions.LootItemFunction`, `net.minecraft.world.level.storage.loot.LootContextUser`

public class WireCountLootFunction extends Object implements net.minecraft.world.level.storage.loot.functions.LootItemFunction

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.minecraft.world.level.storage.loot.functions.LootItemFunction

`net.minecraft.world.level.storage.loot.functions.LootItemFunction.Builder`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.MapCodec<WireCountLootFunction>`
`CODEC`
`static final WireCountLootFunction`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`WireCountLootFunction()`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.item.ItemStack`
`apply(net.minecraft.world.item.ItemStack input, net.minecraft.world.level.storage.loot.LootContext context)`
`Set<net.minecraft.world.level.storage.loot.parameters.LootContextParam<?>>`
`getReferencedContextParams()`
`net.minecraft.world.level.storage.loot.functions.LootItemFunctionType<WireCountLootFunction>`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

### Methods inherited from interface net.minecraft.world.level.storage.loot.LootContextUser

`validate`

## Field Details

### INSTANCE

public static final WireCountLootFunction INSTANCE

### CODEC

public static final com.mojang.serialization.MapCodec<WireCountLootFunction> CODEC

## Constructor Details

### WireCountLootFunction

public WireCountLootFunction()

## Method Details

### apply

public net.minecraft.world.item.ItemStack apply(net.minecraft.world.item.ItemStack input, net.minecraft.world.level.storage.loot.LootContext context)

Specified by:
  `apply` in interface `BiFunction<net.minecraft.world.item.ItemStack,net.minecraft.world.level.storage.loot.LootContext,net.minecraft.world.item.ItemStack>`

### getType

public net.minecraft.world.level.storage.loot.functions.LootItemFunctionType<WireCountLootFunction> getType()

Specified by:
  `getType` in interface `net.minecraft.world.level.storage.loot.functions.LootItemFunction`

### getReferencedContextParams

public Set<net.minecraft.world.level.storage.loot.parameters.LootContextParam<?>> getReferencedContextParams()

Specified by:
  `getReferencedContextParams` in interface `net.minecraft.world.level.storage.loot.LootContextUser`